This help site has been deprecated. Please send your requests to support@rubygems.org

Resolving dependencies never finish

fc's Avatar

fc

05 Jan, 2021 03:13 PM

Hi,

I am using the following versions :
```
$ gem --version
3.2.4
$ bundle -v
Bundler version 2.2.4
```

The Bundle command never end the "Resolving dependencies", even after 2h of waiting.
How can i debug ?

Trace bellow.
Regards, Fabien.

```
$ bundle install --without system_tests --path vendor/bundle --jobs $(nproc)
[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local path 'vendor/bundle'`, and stop using this flag
[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local without 'system_tests'`, and stop using this flag
Fetching gem metadata from https://rubygems.org/.......
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies................................................................................
```

  1. Support Staff 1 Posted by sonalkr132 on 05 Jan, 2021 04:58 PM

    sonalkr132's Avatar

    Hi fc,

    You can try running bundle install with --verbose flag.

    bundle install --without system_tests --path vendor/bundle --jobs --verbose

    You can also share your Gemfile and we can try to reproduce the issue.
    If possible please use [email blocked] for the reply.

  2. 2 Posted by fc on 05 Jan, 2021 07:10 PM

    fc's Avatar

    Thank you sonalkr132 for your answer.

    The Gemfile is as attached file.

    Here the output with --verbose. What i can see when it hangs is "HTTP
    206 Partial Content https://index.rubygems.org/versions".

    But during my tests i already got several HTTP 206 about same URI and
    bundle install finished. So i am not sure that trouble is related to
    this HTTP status.

    $ bundle install --verbose --without system_tests --path vendor/bundle --jobs $(nproc)
    Running `bundle install --jobs 8 --path "vendor/bundle" --verbose --without "system_tests"` with bundler 2.2.4
    [DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local path 'vendor/bundle'`, and stop using this flag
    [DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local without 'system_tests'`, and stop using this flag
    Found changes from the lockfile, re-resolving dependencies because the list of sources changed, the dependencies in your gemfile changed, you added a new platform to your gemfile
    HTTP GET https://index.rubygems.org/versions
    HTTP 206 Partial Content https://index.rubygems.org/versions
    Fetching gem metadata from https://rubygems.org/
    Looking up gems ["fast_gettext", "json", "rb-readline", "puppet-module-posix-default-r2.5", "puppet-module-posix-dev-r2.5", "puppet-module-win-default-r2.5", "puppet-module-win-dev-r2.5", "beaker-rspec", "beaker-puppet", "beaker-docker", "beaker-puppet_install_helper", "beaker-module_install_helper", "puppet"]
    Looking up gems ["beaker", "rspec", "serverspec", "specinfra", "ffi", "beaker-pe", "gettext-setup", "metadata-json-lint", "mocha", "parallel_tests", "pry", "puppetlabs_spec_helper", "puppet-lint", "puppet_pot_generator", "puppet-syntax", "rainbow", "rspec_junit_formatter", "rspec-puppet", "rspec-puppet-facts", "rubocop", "rubocop-i18n", "rubocop-rspec", "puppet-strings", "codecov", "simplecov-console", "parser", "dependency_checker", "puppet_litmus", "puppet-resource_api", "facterdb", "activesupport", "puppet-debugger", "concurrent-ruby", "simplecov", "rspec-expectations", "rubocop-performance", "in-parallel", "stringify-hash", "oga", "puppet-blacksmith", "bcrypt_pbkdf", "ed25519", "docker-api", "win32-dir", "win32-eventlog", "win32-process", "win32-security", "win32-service", "facter", "hiera", "hiera-puppet", "rgen", "json_pure", "minitar", "sys-admin", "win32-api", "win32console", "win32-taskscheduler", "windows-api", "windows-pr", "CFPropertyList", "locale", "multi_json", "httpclient", "semantic_puppet", "deep_merge", "scanf"]
    Looking up gems ["builder", "rspec-core", "net-ssh", "highline", "rspec-its", "spdx-licenses", "semantic", "json-schema", "ruby_parser", "method_source", "coderay", "yard", "slop", "spoon", "rake", "pathspec", "net-scp", "net-telnet", "sfl", "blimpy", "fission", "inifile", "nokogiri", "rbvmomi", "unf", "mime-types", "google-api-client", "aws-sdk", "hocon", "fog", "minitest", "rsync", "open_uri_redirections", "beaker-answers", "beaker-hiera", "fog-google", "beaker-hostgenerator", "aws-sdk-v1", "public_suffix", "beaker-facter", "thor", "beaker-vmpooler", "beaker-aws", "beaker-google", "beaker-vagrant", "beaker-vmware", "beaker-openstack", "beaker-vcloud", "pry-byebug", "beaker-abs", "net-ping", "metaclass", "mcollective-client", "sexp_processor", "ast", "parallel", "bolt", "pdk", "tty-spinner", "honeycomb-beeline", "puppet-modulebuilder", "rspec_honeycomb_formatter", "retryable", "gettext", "term-ansicolor", "backports", "powerpack", "ruby-progressbar", "astrolabe", "tins", "unicode-display_width", "jaro_winkler", "psych", "rexml", "rubocop-ast", "regexp_parser", "colorize", "puppet_forge", "jgrep", "hirb", "ansi", "terminal-table", "childprocess", "rest-client", "rspec-mocks", "awesome_print", "pluginator", "table_print", "bundler", "tty-pager", "test-unit", "ffi-win32-extensions", "diff-lcs", "rspec-support", "racc", "ruby-ll", "structured_warnings", "functional-ruby", "ref", "spruz", "i18n", "memcache-client", "tzinfo", "thread_safe", "zeitwerk", "ptools", "libxml-ruby", "excon", "multipart-post", "archive-tar-minitar", "simplecov-html", "docile", "lockfile", "simplecov_json_formatter"]
    Looking up gems ["erubis", "addressable", "httparty", "uuidtools", "aws-sdk-resources", "aws-sdk-acm", "aws-sdk-apigateway", "aws-sdk-applicationautoscaling", "aws-sdk-applicationdiscoveryservice", "aws-sdk-autoscaling", "aws-sdk-budgets", "aws-sdk-cloudformation", "aws-sdk-cloudfront", "aws-sdk-cloudhsm", "aws-sdk-cloudsearch", "aws-sdk-cloudsearchdomain", "aws-sdk-cloudtrail", "aws-sdk-cloudwatch", "aws-sdk-cloudwatchevents", "aws-sdk-cloudwatchlogs", "aws-sdk-codecommit", "aws-sdk-codedeploy", "aws-sdk-codepipeline", "aws-sdk-cognitoidentity", "aws-sdk-cognitoidentityprovider", "aws-sdk-cognitosync", "aws-sdk-configservice", "aws-sdk-databasemigrationservice", "aws-sdk-datapipeline", "aws-sdk-devicefarm", "aws-sdk-directconnect", "aws-sdk-directoryservice", "aws-sdk-dynamodb", "aws-sdk-dynamodbstreams", "aws-sdk-ec2", "aws-sdk-ecr", "aws-sdk-ecs", "aws-sdk-efs", "aws-sdk-elasticache", "aws-sdk-elasticbeanstalk", "aws-sdk-elasticloadbalancing", "aws-sdk-elasticloadbalancingv2", "aws-sdk-elasticsearchservice", "aws-sdk-elastictranscoder", "aws-sdk-emr", "aws-sdk-firehose", "aws-sdk-gamelift", "aws-sdk-glacier", "aws-sdk-iam", "aws-sdk-importexport", "aws-sdk-inspector", "aws-sdk-iot", "aws-sdk-iotdataplane", "aws-sdk-kinesis", "aws-sdk-kinesisanalytics", "aws-sdk-kms", "aws-sdk-lambda", "aws-sdk-lambdapreview", "aws-sdk-machinelearning", "aws-sdk-marketplacecommerceanalytics", "aws-sdk-marketplacemetering", "aws-sdk-opsworks", "aws-sdk-rds", "aws-sdk-redshift", "aws-sdk-route53", "aws-sdk-route53domains", "aws-sdk-s3", "aws-sdk-servicecatalog", "aws-sdk-ses", "aws-sdk-simpledb", "aws-sdk-sms", "aws-sdk-snowball", "aws-sdk-sns", "aws-sdk-sqs", "aws-sdk-ssm", "aws-sdk-storagegateway", "aws-sdk-support", "aws-sdk-swf", "aws-sdk-waf", "aws-sdk-workspaces", "aws-sdk-appstream", "aws-sdk-codebuild", "aws-sdk-health", "aws-sdk-lightsail", "aws-sdk-opsworkscm", "aws-sdk-pinpoint", "aws-sdk-polly", "aws-sdk-rekognition", "aws-sdk-sfn", "aws-sdk-shield", "aws-sdk-wafregional", "aws-sdk-xray", "aws-sdk-batch", "aws-sdk-clouddirectory", "aws-sdk-costandusagereportservice", "aws-sdk-lexruntimeservice", "aws-sdk-mturk", "aws-sdk-organizations", "aws-sdk-workdocs", "aws-sdk-codestar", "aws-sdk-lexmodelbuildingservice", "aws-sdk-resourcegroupstaggingapi", "aws-sdk-lex", "aws-sdk-marketplaceentitlementservice", "aws-sdk-states", "aws-sdk-athena", "mime-types-data", "needle", "jruby-pageant", "rbnacl", "rbnacl-libsodium", "termios", "unf_ext", "hoe", "ParseTree", "tokyocabinet", "trollop", "cdb-full", "optimist", "require_all", "byebug", "weakling", "mini_portile", "mini_portile2", "pkg-config", "aws-partitions", "extlib", "httpadapter", "signet", "launchy", "liquid", "rack", "sinatra", "autoparse", "faraday", "jwt", "retriable", "googleauth", "hurley", "memoist", "representable", "virtus", "mini_mime", "systemu", "stomp", "fog-core", "fog-xml", "fog-json", "google-cloud-env", "ruby-hmac", "formatador", "named-parameters", "unicode", "fog-brightbox", "ipaddress", "fog-softlayer", "fog-radosgw", "fog-sakuracloud", "fog-profitbricks", "fog-terremark", "fog-vmfusion", "fog-voxel", "opennebula", "fog-atmos", "fog-ecloud", "fog-storm_on_demand", "fog-aws", "fog-serverlove", "fog-riakcs", "fog-local", "fog-powerdns", "fog-dynect", "fog-xenserver", "fog-aliyun", "fog-vsphere", "fog-cloudatcost", "fog-openstack", "fog-rackspace", "fog-digitalocean", "fog-dnsimple", "fog-internet-archive", "fog-joyent", "fog-ovirt", "fog-cloudstack", "tty-cursor", "vmfloaty", "activerecord-honeycomb", "faraday-honeycomb", "libhoney", "rack-honeycomb", "sequel-honeycomb", "net-sftp", "orchestrator_client", "winrm", "winrm-fs", "logging", "r10k", "ruby_smb", "hiera-eyaml", "net-ssh-krb", "puppetfile-resolver", "paint", "win32-open3", "net-ldap", "her", "faraday_middleware", "sync", "strscan", "levenshtein", "text", "cri", "tty-prompt", "tty-which", "hitimes", "jar-dependencies", "tty-screen", "verse", "strings", "ZenTest", "RubyInline", "rdoc", "netrc", "http-cookie", "http-accept", "power_assert", "win32-file", "minitar-cli", "atomic"]
    Looking up gems ["abstract", "aws-sdk-core", "aws-sigv4", "jnunemaker-crack", "crack", "multi_xml", "aws-sdk-dax", "aws-sdk-greengrass", "aws-sdk-cloudhsmv2", "aws-sdk-glue", "aws-sdk-migrationhub", "aws-sdk-mobile", "aws-sdk-pricing", "aws-sdk-costexplorer", "aws-sdk-mediaconvert", "aws-sdk-medialive", "aws-sdk-mediapackage", "aws-sdk-mediastore", "aws-sdk-mediastoredata", "aws-sdk-appsync", "aws-sdk-guardduty", "aws-sdk-mq", "aws-sdk-comprehend", "aws-sdk-iotjobsdataplane", "aws-sdk-kinesisvideo", "aws-sdk-kinesisvideoarchivedmedia", "aws-sdk-kinesisvideomedia", "aws-sdk-sagemaker", "aws-sdk-sagemakerruntime", "aws-sdk-translate", "aws-sdk-resourcegroups", "aws-sdk-alexaforbusiness", "aws-sdk-cloud9", "aws-sdk-serverlessapplicationrepository", "aws-sdk-servicediscovery", "aws-sdk-workmail", "aws-sdk-autoscalingplans", "aws-sdk-transcribeservice", "aws-sdk-connect", "aws-sdk-acmpca", "aws-sdk-fms", "aws-sdk-secretsmanager", "aws-sdk-iotanalytics", "aws-sdk-iot1clickdevicesservice", "aws-sdk-iot1clickprojects", "aws-sdk-pi", "aws-sdk-neptune", "aws-sdk-mediatailor", "aws-sdk-eks", "aws-sdk-macie", "aws-sdk-dlm", "aws-sdk-signer", "aws-sdk-chime", "aws-sdk-pinpointemail", "aws-sdk-pinpointsmsvoice", "aws-sdk-ram", "aws-sdk-route53resolver", "aws-sdk-s3control", "aws-sdk-quicksight", "aws-sdk-rdsdataservice", "aws-sdk-amplify", "aws-sdk-datasync", "aws-sdk-robomaker", "aws-sdk-transfer", "aws-sdk-globalaccelerator", "aws-sdk-comprehendmedical", "aws-sdk-kinesisanalyticsv2", "aws-sdk-mediaconnect", "aws-sdk-fsx", "aws-sdk-securityhub", "aws-sdk-appmesh", "aws-sdk-licensemanager", "aws-sdk-kafka", "aws-sdk-apigatewaymanagementapi", "aws-sdk-apigatewayv2", "aws-sdk-docdb", "aws-sdk-backup", "aws-sdk-worklink", "aws-sdk-textract", "aws-sdk-transcribestreamingservice", "aws-sdk-managedblockchain", "aws-sdk-mediapackagevod", "aws-sdk-groundstation", "aws-sdk-iotthingsgraph", "aws-sdk-iotevents", "aws-sdk-ioteventsdata", "aws-sdk-personalize", "aws-sdk-personalizeevents", "aws-sdk-personalizeruntime", "aws-sdk-applicationinsights", "aws-sdk-servicequotas", "aws-sdk-ec2instanceconnect", "aws-sdk-eventbridge", "aws-sdk-lakeformation", "aws-sdk-forecastqueryservice", "aws-sdk-forecastservice", "aws-sdk-qldb", "aws-sdk-qldbsession", "aws-sdk-workmailmessageflow", "aws-sdk-codestarnotifications", "aws-sdk-savingsplans", "aws-sdk-sso", "aws-sdk-ssooidc", "aws-sdk-marketplacecatalog", "aws-sdk-dataexchange", "aws-sdk-sesv2", "aws-sdk-migrationhubconfig", "aws-sdk-connectparticipant", "aws-sdk-appconfig", "aws-sdk-iotsecuretunneling", "aws-sdk-wafv2", "aws-sdk-elasticinference", "aws-sdk-imagebuilder", "aws-sdk-schemas", "aws-sdk-accessanalyzer", "aws-sdk-augmentedairuntime", "aws-sdk-codeguruprofiler", "aws-sdk-codegurureviewer", "aws-sdk-computeoptimizer", "aws-sdk-frauddetector", "aws-sdk-kendra", "aws-sdk-networkmanager", "aws-sdk-outposts", "aws-sdk-ebs", "aws-sdk-kinesisvideosignalingchannels", "aws-sdk-detective", "aws-sdk-codestarconnections", "aws-sdk-synthetics", "aws-sdk-iotsitewise", "aws-sdk-macie2", "aws-sdk-codeartifact", "aws-sdk-honeycode", "aws-sdk-ivs", "aws-sdk-braket", "aws-sdk-identitystore", "aws-sdk-appflow", "aws-sdk-redshiftdataapiservice", "aws-sdk-ssoadmin", "aws-sdk-timestreamquery", "aws-sdk-timestreamwrite", "aws-sdk-s3outposts", "aws-sdk-gluedatabrew", "aws-sdk-appregistry", "aws-sdk-networkfirewall", "aws-sdk-mwaa", "aws-sdk-amplifybackend", "aws-sdk-appintegrationsservice", "aws-sdk-connectcontactlens", "aws-sdk-devopsguru", "aws-sdk-ecrpublic", "aws-sdk-lookoutforvision", "aws-sdk-profile", "aws-sdk-sagemakerfeaturestoreruntime", "aws-sdk-customerprofiles", "aws-sdk-auditmanager", "aws-sdk-emrcontainers", "aws-sdk-healthlake", "aws-sdk-sagemakeredgemanager", "aws-sdk-greengrassv2", "aws-sdk-iotdeviceadvisor", "aws-sdk-iotfleethub", "aws-sdk-iotwireless", "aws-sdk-prometheusservice", "aws-sdk-locationservice", "aws-sdk-wellarchitected", "aws-sigv2", "SexpProcessor", "rubyforge", "gemcutter", "curses", "english", "ruby2_keywords", "faraday-net_http", "mongrel", "tilt", "rack-protection", "mustermann", "configuration", "pry-debugger", "os", "columnize", "debugger-linecache", "descendants_tracker", "axiom-types", "coercible", "equalizer", "hooks", "uber", "declarative", "declarative-option", "inflecto", "dry-inflector", "xmlrpc", "xml-simple", "aliyun-sdk", "http", "net-http-persistent", "rbovirt", "ovirt-engine-sdk", "flexmock", "little-plugger", "commander", "molinillo", "rubyzip", "erubi", "handsoap", "rubyntlm", "uuid", "gssapi", "savon", "gyoku", "nori", "bindata", "bit-struct", "windows_error", "openssl-ccm", "openssl-cmac", "necromancer", "pastel", "tty-platform", "wisper", "timers", "tty-reader", "popen4", "shellter", "colored", "log4r", "middleware", "faraday_middleware-multi_json", "colored2", "unicode_utils", "strings-ansi", "activemodel", "ruby-maven", "powerbar", "domain_name", "sqlite3", "win32-file-stat", "hashie", "oauth2", "roauth", "mkrf", "pattern-match"]
    Looking up gems ["aws-eventstream", "jamespath", "jmespath", "http-2", "safe_yaml", "tool", "debugger", "ruby_core_source", "debugger-ruby_core_source", "cgi_multipart_eof_fix", "daemons", "fastthread", "gem_plugin", "escape_utils", "adamantium", "ice_nine", "certified", "http_parser.rb", "form_data", "http-form_data", "http-parser", "connection_pool", "curb", "hpricot", "rubiii-apricoteatsgorilla", "apricoteatsgorilla", "httpi", "wasabi", "akami", "open4", "Platform", "active_support", "equatable", "tty-color", "escape", "macaddr", "faraday-middleware", "httpauth", "maven-tools", "ruby-maven-libs", "bcrypt-ruby"]
    Looking up gems ["memoizable", "ntlm-http", "pyu-ntlm-http", "socksify", "bcrypt", "ffi-compiler"]
    Double checking for ["bundler"] in rubygems repository https://rubygems.org/ or installed locally
    Fetching gem metadata from https://rubygems.org/
    Looking up gems ["bundler"]
    Resolving dependencies..........................................................................................................................................................................................................................................................................................

    Regards, Fabien.

  3. Support Staff 3 Posted by sonalkr132 on 02 Feb, 2021 07:13 AM

    sonalkr132's Avatar

    Hi,

    I think the fix for this was released. please follow up on the github issue if latest bundler doesn't solve this for you.

  4. sonalkr132 closed this discussion on 02 Feb, 2021 07:13 AM.

Discussions are closed to public comments.
If you need help with RubyGems.org please start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac